Get Workflow run
curl --request GET \
--url https://app.letsflow.ai/v1/workflow_runs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.letsflow.ai/v1/workflow_runs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.letsflow.ai/v1/workflow_runs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.letsflow.ai/v1/workflow_runs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.letsflow.ai/v1/workflow_runs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.letsflow.ai/v1/workflow_runs/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.letsflow.ai/v1/workflow_runs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"runKey": "RUN-123",
"status": "requested",
"mode": "live",
"executionSource": "publication",
"runMode": "production",
"sideEffectsPolicy": "live",
"automation": {
"version": 123,
"key": "<string>",
"kind": "automation"
},
"sourceRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startedAt": "<string>",
"completedAt": "<string>",
"requestedAt": "<string>",
"requestedBy": "<string>",
"automation_input": {},
"triggerKind": "direct",
"automation_output": {},
"automation_output_availability": {
"state": "pending",
"reason": "legacy_not_retained"
},
"automation_output_validation": {
"output_retained": true,
"issues": [
{
"field": "<string>",
"message": "<string>",
"keyword": "<string>"
}
]
},
"error": {
"code": "<string>",
"message": "<string>"
},
"steps": [
{
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceNumber": 2,
"executionIndex": 2,
"stepKey": "<string>",
"stepDescription": "<string>",
"status": "<string>",
"startedAt": "<string>",
"completedAt": "<string>",
"actions": [
{
"outcome": "succeeded",
"name": "<string>",
"path": "<string>",
"integration": "<string>",
"attempt": 123,
"input": "<unknown>",
"result": "<unknown>",
"policyDecision": {
"decision": "allow",
"sourceKind": "default",
"reasonCode": "stable_id_action_allowed_by_default",
"recordedAt": "<string>"
},
"executionDisposition": "executed"
}
],
"errors": [
{
"source": "automation",
"message": "<string>",
"sourceLocation": {
"file": "<string>",
"line": 123,
"column": 123,
"snippet": "<string>"
}
}
],
"logs": [
{
"occurredAt": "<string>",
"level": "info",
"message": "<string>",
"fields": {}
}
],
"unconfirmedActions": [
{
"name": "<string>",
"path": "<string>",
"integration": "<string>",
"attempt": 123
}
]
}
],
"validationScenario": {
"key": "<string>"
},
"truncation": {
"steps": true,
"actions": true
},
"triggerFailure": {
"phase": "before_execution",
"triggerKind": "direct",
"code": "<string>",
"message": "<string>",
"remedy": "<string>",
"recordedAt": "<string>",
"eventType": "<string>",
"scheduledFor": "<string>",
"executionAccount": {
"id": "<string>",
"displayName": "<string>"
},
"source": {
"kind": "approval_request",
"id": "<string>",
"teamId": "<string>",
"teamName": "<string>"
},
"requiredAccess": "<string>",
"observedAuthority": {
"organizationRole": "<string>",
"sourceTeamRole": "<string>"
},
"inputIssues": [
{
"field": "<string>",
"message": "<string>"
}
]
},
"cancellationEffects": {
"pending": 123,
"outcomeUnknown": 123,
"recorded": 123
}
},
"meta": {
"request_id": "<string>",
"correlation_id": "<string>",
"operation": "<string>",
"resource": "<string>"
}
}{
"type": "https://app.letsflow.ai/problems/access-grant-not-found",
"title": "<string>",
"status": 123,
"code": "access_grant_admin_extension_required",
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"correlation_id": "<string>",
"retryable": true,
"auth_failure_reason": "<string>",
"availability_reason": "capability_disabled",
"re_auth_required": true,
"violations": [
{
"field": "<string>",
"message": "<string>",
"capability": "<string>",
"details": {}
}
],
"diagnostics": [
{
"code": "<string>",
"severity": "info",
"message": "<string>",
"fixHint": "<string>",
"location": {
"file": "<string>",
"line": 2,
"column": 2,
"stepId": "<string>"
}
}
]
}Workflow runs
Get Workflow run
Read one canonical workflow run detail, including the approval-wait step and the canonical start context.
GET
/
v1
/
workflow_runs
/
{id}
Get Workflow run
curl --request GET \
--url https://app.letsflow.ai/v1/workflow_runs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.letsflow.ai/v1/workflow_runs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.letsflow.ai/v1/workflow_runs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.letsflow.ai/v1/workflow_runs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.letsflow.ai/v1/workflow_runs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.letsflow.ai/v1/workflow_runs/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.letsflow.ai/v1/workflow_runs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"runKey": "RUN-123",
"status": "requested",
"mode": "live",
"executionSource": "publication",
"runMode": "production",
"sideEffectsPolicy": "live",
"automation": {
"version": 123,
"key": "<string>",
"kind": "automation"
},
"sourceRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startedAt": "<string>",
"completedAt": "<string>",
"requestedAt": "<string>",
"requestedBy": "<string>",
"automation_input": {},
"triggerKind": "direct",
"automation_output": {},
"automation_output_availability": {
"state": "pending",
"reason": "legacy_not_retained"
},
"automation_output_validation": {
"output_retained": true,
"issues": [
{
"field": "<string>",
"message": "<string>",
"keyword": "<string>"
}
]
},
"error": {
"code": "<string>",
"message": "<string>"
},
"steps": [
{
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequenceNumber": 2,
"executionIndex": 2,
"stepKey": "<string>",
"stepDescription": "<string>",
"status": "<string>",
"startedAt": "<string>",
"completedAt": "<string>",
"actions": [
{
"outcome": "succeeded",
"name": "<string>",
"path": "<string>",
"integration": "<string>",
"attempt": 123,
"input": "<unknown>",
"result": "<unknown>",
"policyDecision": {
"decision": "allow",
"sourceKind": "default",
"reasonCode": "stable_id_action_allowed_by_default",
"recordedAt": "<string>"
},
"executionDisposition": "executed"
}
],
"errors": [
{
"source": "automation",
"message": "<string>",
"sourceLocation": {
"file": "<string>",
"line": 123,
"column": 123,
"snippet": "<string>"
}
}
],
"logs": [
{
"occurredAt": "<string>",
"level": "info",
"message": "<string>",
"fields": {}
}
],
"unconfirmedActions": [
{
"name": "<string>",
"path": "<string>",
"integration": "<string>",
"attempt": 123
}
]
}
],
"validationScenario": {
"key": "<string>"
},
"truncation": {
"steps": true,
"actions": true
},
"triggerFailure": {
"phase": "before_execution",
"triggerKind": "direct",
"code": "<string>",
"message": "<string>",
"remedy": "<string>",
"recordedAt": "<string>",
"eventType": "<string>",
"scheduledFor": "<string>",
"executionAccount": {
"id": "<string>",
"displayName": "<string>"
},
"source": {
"kind": "approval_request",
"id": "<string>",
"teamId": "<string>",
"teamName": "<string>"
},
"requiredAccess": "<string>",
"observedAuthority": {
"organizationRole": "<string>",
"sourceTeamRole": "<string>"
},
"inputIssues": [
{
"field": "<string>",
"message": "<string>"
}
]
},
"cancellationEffects": {
"pending": 123,
"outcomeUnknown": 123,
"recorded": 123
}
},
"meta": {
"request_id": "<string>",
"correlation_id": "<string>",
"operation": "<string>",
"resource": "<string>"
}
}{
"type": "https://app.letsflow.ai/problems/access-grant-not-found",
"title": "<string>",
"status": 123,
"code": "access_grant_admin_extension_required",
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"correlation_id": "<string>",
"retryable": true,
"auth_failure_reason": "<string>",
"availability_reason": "capability_disabled",
"re_auth_required": true,
"violations": [
{
"field": "<string>",
"message": "<string>",
"capability": "<string>",
"details": {}
}
],
"diagnostics": [
{
"code": "<string>",
"severity": "info",
"message": "<string>",
"fixHint": "<string>",
"location": {
"file": "<string>",
"line": 2,
"column": 2,
"stepId": "<string>"
}
}
]
}Authorizations
OAuth Bearer access tokens or Flow API keys with the required Flow scope families for the route.
Path Parameters
Opaque resource identifier.
Query Parameters
Restrict runs to the selected managed automation capability. Omit to read every research kind.
Available options:
research:knowledge_automation_mismatch